%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name winston-transport

Name: %{?scl_prefix}nodejs-winston-transport
Version: 4.4.1
Release: 1%{?dist}
Summary: Base stream implementations for winston@3 and up
License: MIT
Group: Development/Libraries
URL: https://github.com/winstonjs/winston-transport#readme
Source0: https://registry.npmjs.org/winston-transport/-/winston-transport-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(logform) >= 2.2.0
Requires: npm(logform) < 3.0.0
Requires: npm(readable-stream) >= 3.4.0
Requires: npm(readable-stream) < 4.0.0
Requires: npm(triple-beam) >= 1.2.0
Requires: npm(triple-beam) < 2.0.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr legacy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

%changelog
